Marmin

List purchase credit notes


Retrieves a paginated list of purchase credit notes.

GET /api/purchase-credit-notes
Rate limit

60 requests/minute per authenticated account. See Rate limiting for response headers (X-RateLimit-*) and retry guidance.

Query parameters

All query parameters are identical to Sales Credit Notes - List:

  • document_number (string, optional) - Filter by credit note document number

  • invoice_number (string, optional) - Filter by referenced invoice number

  • billed_by_name (string, optional) - Filter by supplier name

  • billed_to_name (string, optional) - Filter by customer name

  • billed_to_vat (string, optional) - Filter by customer VAT number

  • billed_by_vat (string, optional) - Filter by supplier VAT number

  • status (string, optional) - Filter by credit note status

  • document_date (string, optional) - Filter by credit note issue date (format: yyyy-MM-dd)

  • page (integer, optional) - Page number (0-indexed, default: 0)

  • size (integer, optional) - Number of items per page (default: 10)

Response

Status code: 200 OK

Pagination fields
FieldTypeSourceDescription
contentarraySystem ProvidedArray of purchase credit note objects.
page_numberintegerSystem ProvidedCurrent page (0-indexed).
total_pagesintegerSystem ProvidedTotal pages.
total_elementsintegerSystem ProvidedTotal matching documents.
Response item fields

Each item in content includes the fields in Response fields plus request fields that were stored on the document.

Error responses

400 Bad Request

Invalid request parameters or validation failed.

{
  "errors": {
    "message": "Invalid request parameters"
  }
}

For validation errors, the response includes field-specific errors:

{
  "errors": {
    "profile_execution_id": "Profile execution ID is mandatory",
    "issue_date": "Issue date is mandatory"
  }
}
401 Unauthorized

Authentication required or invalid token.

{
  "errors": {
    "message": "Authentication required or invalid token"
  }
}
500 Internal Server Error

An error occurred while processing the request.

{
  "errors": {
    "message": "An error occurred"
  }
}
Next